#  TODO
#
# Find and add require exceptions 
#
##########################################

%define major   0
%define libname %mklibname %{name} %{major}

%define  rev   10260

Name:          wengophone
Version:       2.1
Release:       %mkrel 1.rc2.1
Summary:       VOIP client of the Wengo company
License:       GPL
Group:         Networking/Instant messaging
Url:           http://www.openwengo.org/
Source:        WengoPhone-2.1-rc2.src.tar.bz2
# (nl)  patch backported from trunk as it had not been applied on 2.1 branch yet
Patch1:        wengophone-2.1-fix-fpic.patch
# (nl) see:    http://dev.openwengo.com/trac/openwengo/trac.cgi/ticket/1194
Patch2:        wengophone-2.1-fixbuild.patch 
Patch3:        wengophone-2.1-fixinstall.patch
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: speex-devel
BuildRequires: boost-devel
BuildRequires: portaudio-devel >= 19
BuildRequires: openssl-devel
BuildRequires: glib2-devel
BuildRequires: ffmpeg-devel
BuildRequires: e2fsprogs-devel
BuildRequires: gnutls-devel
BuildRequires: qt4-linguist
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: curl-devel
BuildRequires: desktop-file-utils
Obsoletes:     openwengo

Requires:      lib%name

%description

Wengophone is an opensource SIP softphone (GPL licence).
It is an ideal solution for any future proof telephony choice!
(jump on the bandwagon http://www.openwengo.org/ !)


%files
%defattr(-,root,root)
%{_bindir}/qtwengophone
#%{_bindir}/owcrashreport
%dir %{_datadir}/wengophone
%dir %{_datadir}/wengophone/lang/
%dir %{_datadir}/wengophone/sounds/
%dir %{_datadir}/wengophone/pics/
%dir %{_datadir}/wengophone/pics/avatars/
%dir %{_datadir}/wengophone/emoticons/
%{_datadir}/wengophone/sounds/*
%{_datadir}/wengophone/pics/*
%{_datadir}/wengophone/emoticons/*
%{_datadir}/wengophone/lang/*
%{_datadir}/wengophone/COPYING
%{_datadir}/applications/wengophone.desktop
%_iconsdir/hicolor/*/apps/*.png
#%{_datadir}/pixmaps/wengophone2.png

#--------------------------------------------------------------------

%package -n     %{libname}
Group:          System/Libraries
Summary:        Libraries for %{name}

Requires:       %name = %version
Provides:       lib%name

%description -n %{libname}
The libraries from %{name} package


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%name
#--------------------------------------------------------------------

%prep

%setup -q -n %name-%version
#%patch2 -p0
#%patch3 -p0

%build

export QTDIR=/usr/lib/qt4/
cd build
cmake  \
        -DQT_QMAKE_EXECUTABLE=/usr/lib/qt4/bin/qmake \
	-DQT_LRELEASE_EXECUTABLE=/usr/lib/qt4/bin/lrelease \
	-DQT_LUPDATE_EXECUTABLE=/usr/lib/qt4/bin/lupdate \
	-DPORTAUDIO_INTERNAL=OFF \
        -DFFMPEG_INTERNAL=OFF \
        -DSPEEX_INTERNAL=OFF \
        -DSAMPLERATE_INTERNAL=OFF \
        -DCURL_INTERNAL=OFF\
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if %{_lib} == lib64
	-DLIB_SUFFIX=64 \
%endif
../

%make

make lupdate VERBOSE=1
%install
cd build
make DESTDIR=%buildroot install


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Telephony" \
  --add-category="X-MandrivaLinux-Internet-VideoConference" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Tue Mar 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-1.rc2.1mdv2007.1
+ Revision: 149146
- FIx build

* Tue Mar 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10260.1mdv2007.1
+ Revision: 143230
- New svn snapshot

* Sun Mar 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10220.1mdv2007.1
+ Revision: 141406
- New svn snapshot (minor fixes)

* Thu Mar 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10200.1mdv2007.1
+ Revision: 138367
- New svn snapshot RC1

* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10086.1mdv2007.1
+ Revision: 132938
- New svn snapshot

* Fri Feb 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9949.1mdv2007.1
+ Revision: 125154
- New svn snapshot : revision 9949

* Wed Feb 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9912.1mdv2007.1
+ Revision: 123902
- New svn snapshot 9912

* Thu Feb 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9782.2mdv2007.1
+ Revision: 121374
- Add menu entry (XDG)

* Wed Feb 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9782.1mdv2007.1
+ Revision: 120833
- New svn snapshot revision: 9782
- Fix Install
- Add tranlations
- New snapshot
- Fix install patch
- New snapshot
- Fix install
- Fix FileList
- New snapshot
- Add lib subpackage
- Remove unused patch
- Add back Patch2
- Add patch3: Fix Build for x86_64
- New snaphsot
- Create devel package
- Fix Build for x86_64
- New svn snapshot and witch to 2.1 branch

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.rc5.8mdv2007.1
+ Revision: 96292
- Delete this file as it want to install -devel packages
       (and will if needed make a -devel package later)
- Fix _requires_exceptions (tks guillomovitch)

* Tue Dec 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.rc5.6mdv2007.1
+ Revision: 96003
- Fix build
- New cvs snapshot (Allow to build on x86_64)
- Clean spec file
- New cvs snapshot (fix tons of bugs)
- Fix BuildRequires
- Rebuild
- change name to be the same as the final rpm
- Rc5
- Switch to branch (wengophone-2.0)
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Fix Typo
- import Wengophone-2.0-0.rc4.1mdv2007.1

